summaryrefslogtreecommitdiffstats
path: root/system/cndrvcups-capt/cndrvcups-capt.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/cndrvcups-capt/cndrvcups-capt.SlackBuild')
-rw-r--r--system/cndrvcups-capt/cndrvcups-capt.SlackBuild239
1 files changed, 239 insertions, 0 deletions
diff --git a/system/cndrvcups-capt/cndrvcups-capt.SlackBuild b/system/cndrvcups-capt/cndrvcups-capt.SlackBuild
new file mode 100644
index 0000000000..1825f0920b
--- /dev/null
+++ b/system/cndrvcups-capt/cndrvcups-capt.SlackBuild
@@ -0,0 +1,239 @@
+#!/bin/sh
+
+# Slackware build script for cndrvcups-capt
+
+# Copyright 2014 Mario Preksavec, Zagreb, HR
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=cndrvcups-capt
+VERSION=${VERSION:-2.60}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION-1.tar.gz
+cd $PRGNAM-$VERSION-1
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Fix missing include
+patch -p1 <$CWD/ppapdata.c.diff
+
+(
+ cd driver
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ./autogen.sh \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --disable-static
+ make
+ make install DESTDIR=$PKG
+)
+
+(
+ cd backend
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ./autogen.sh \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX}
+ make
+ make install DESTDIR=$PKG
+)
+
+(
+ cd pstocapt
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ./autogen.sh \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX}
+ make
+ make install DESTDIR=$PKG
+)
+
+(
+ cd pstocapt2
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ./autogen.sh \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX}
+ make
+ make install DESTDIR=$PKG
+)
+
+(
+ cd pstocapt3
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ./autogen.sh \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX}
+ make
+ make install DESTDIR=$PKG
+)
+
+(
+ cd ppd
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ./autogen.sh \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX}
+ make
+ make install DESTDIR=$PKG
+)
+
+(
+ cd statusui
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ./autogen.sh \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX}
+ make
+ make install DESTDIR=$PKG
+)
+
+(
+ cd cngplp
+ autoreconf -fi
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ./autogen.sh \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX}
+ cd files
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ./autogen.sh
+ cd ../../
+ make
+ make install DESTDIR=$PKG
+)
+
+mkdir -p $PKG/usr/{bin,sbin,lib}
+mkdir -p $PKG/etc/rc.d
+mkdir -p $PKG/usr/share/{caepcm,ccpd,captmon,captmon2,captemon,captfilter}
+
+install -m0755 -oroot -groot libs/captmon/captmon $PKG/usr/bin
+install -m0755 -oroot -groot libs/captmon2/captmon2 $PKG/usr/bin
+install -m0755 -oroot -groot libs/captfilter $PKG/usr/bin
+install -m0755 -oroot -groot libs/captemon/captmon* $PKG/usr/bin
+install -m0755 -oroot -groot libs/captdrv $PKG/usr/bin
+
+install -m0755 -oroot -groot libs${LIBDIRSUFFIX}/ccpd $PKG/usr/sbin
+install -m0755 -oroot -groot libs${LIBDIRSUFFIX}/ccpdadmin $PKG/usr/sbin
+
+install -m0644 -oroot -groot samples/ccpd.conf $PKG/etc/ccpd.conf.new
+install -m0755 -oroot -groot samples/ccpd $PKG/etc/rc.d/rc.ccpd.new
+
+install -m0644 -oroot -groot data/* $PKG/usr/share/caepcm
+install -m0755 -oroot -groot libs/ccpddata/* $PKG/usr/share/ccpd
+install -m0755 -oroot -groot libs/captemon/CNAC*.BIN $PKG/usr/share/ccpd
+install -m0755 -oroot -groot libs/captmon/msgtable.xml $PKG/usr/share/captmon
+install -m0755 -oroot -groot libs/captmon2/msgtable2.xml $PKG/usr/share/captmon2
+install -m0755 -oroot -groot libs/captemon/*.xml $PKG/usr/share/captemon
+install -m0755 -oroot -groot libs/CnA*INK.DAT $PKG/usr/share/captfilter
+
+install -m0644 -oroot -groot libs/libcaptfilter.so.1.0.0 $PKG/usr/lib
+install -m0644 -oroot -groot libs/libcaiocaptnet.so.1.0.0 $PKG/usr/lib
+install -m0644 -oroot -groot libs/libcncaptnpm.so.2.0.1 $PKG/usr/lib
+install -m0644 -oroot -groot libs/libcnaccm.so.1.0 $PKG/usr/lib
+
+(
+ cd $PKG/usr/lib
+ ln -sf libcaiocaptnet.so.1.0.0 libcaiocaptnet.so.1
+ ln -sf libcaiocaptnet.so.1.0.0 libcaiocaptnet.so
+ ln -sf libcncaptnpm.so.2.0.1 libcncaptnpm.so.2
+ ln -sf libcncaptnpm.so.2.0.1 libcncaptnpm.so
+ ln -sf libcaptfilter.so.1.0.0 libcaptfilter.so.1
+ ln -sf libcaptfilter.so.1.0.0 libcaptfilter.so
+ ln -sf libcnaccm.so.1.0 libcnaccm.so.1
+ ln -sf libcnaccm.so.1.0 libcnaccm.so
+)
+
+(
+ if [ -d $PKG/usr/lib64/cups ]; then
+ mkdir -p $PKG/usr/lib/cups/{backend,filter}
+ cd $PKG/usr/lib/cups/backend
+ ln -sf ../../../lib64/cups/backend/ccp ccp
+ cd $PKG/usr/lib/cups/filter
+ ln -sf ../../../lib64/cups/filter/pstocapt pstocapt
+ ln -sf ../../../lib64/cups/filter/pstocapt2 pstocapt2
+ ln -sf ../../../lib64/cups/filter/pstocapt3 pstocapt3
+ fi
+)
+
+mkdir -p $PKG/var/captmon
+chown lp:lp $PKG/var/captmon
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING LICENSE* README* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README.SLACKWARE > $PKG/usr/doc/$PRGNAM-$VERSION/README.SLACKWARE
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}